<?php

if ( ! defined('ABSPATH') ) {
    exit;
}
 
?><div class="sfswp-sfs-set-settings-wrapper">
    <table class="sfswp-form-fields-table">
        <?php
            $set_settings_fields = sfs_get_set_settings_fields( $post->ID );
            
            // Allows you to manipulate fields before show them
            do_action_ref_array( 'sfswp_before_filter_set_settings_fields', array( &$set_settings_fields ) );

            foreach ( $set_settings_fields as $key => $attributes ) {

                if( isset( $attributes['skip_view'] ) && $attributes['skip_view'] ){
                    do_action_ref_array( 'sfswp_cycle_filter_set_settings_fields', array( &$set_settings_fields ) );
                }else{
                    sfs_include_admin_view('sfs-field', array(
                            'field_key'  => $key,
                            'attributes' => $attributes
                        )
                    );
                }
            }
        ?>
    </table>
</div>